Bug 1572764 - failed invalid storage kind 'glusterfs' for component 'registry'
Summary: failed invalid storage kind 'glusterfs' for component 'registry'
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.6.0
Hardware: All
OS: All
unspecified
high
Target Milestone: ---
: 3.6.z
Assignee: Jose A. Rivera
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-27 19:03 UTC by Bruno Andrade
Modified: 2018-08-08 14:21 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-08 14:21:42 UTC
Target Upstream Version:


Attachments (Terms of Use)
ansible logs (275.20 KB, application/x-xz)
2018-04-27 19:03 UTC, Bruno Andrade
no flags Details
inventory file (8.92 KB, text/plain)
2018-05-02 15:36 UTC, Bruno Andrade
no flags Details

Description Bruno Andrade 2018-04-27 19:03:02 UTC
Created attachment 1427795 [details]
ansible logs

Description of problem:

facing installation issues while trying to install OCP 3.6 with glusterfs as persistent storage of the registry. 

Playbook used (attached log ouput and inventory file):
ansible-playbook /usr/share/ansible/openshift-ansible/playbooks/byo/config.yml -vvv | tee -a ansible-$(date +%Y%m%d-%H%M).log

# rpm -qa openshift-ansible
openshift-ansible-3.6.173.0.96-1.git.0.2954b4a.el7.noarch


MSG:

The conditional check 'persistent_volumes | length > 0 or persistent_volume_claims | length > 0' failed. The error was: {{ hostvars[groups.oo_first_master.0] | oo_persistent_volumes(groups) }}: |failed invalid storage kind 'glusterfs' for component 'registry'


Version-Release number of selected component (if applicable):
3.6.173.0.96-1

Comment 1 Bruno Andrade 2018-04-27 19:05:43 UTC
Created attachment 1427797 [details]
inventory file

Comment 3 Jose A. Rivera 2018-05-02 14:56:16 UTC
I'm not sure what's going on off-hand, but one thing I see is that your node groups are misconfigured. You can't share nodes between multiple Gluster clusters, multiple instances of Gluster can not run on the same node. If you don't have enough nodes for two three-node clusters, you can just group the four you have into a single cluster and use it for both apps and registry. Try that and see if it helps.

Also, I imagine you are uncommenting the registry_storage_kind variable when running? I know, dumb question, but just making sure. :)

Comment 5 Bruno Andrade 2018-05-02 15:36:59 UTC
Created attachment 1430146 [details]
inventory file


Note You need to log in before you can comment on or make changes to this bug.